Index: includes/definitions/vendors.inc.php
===================================================================
--- includes/definitions/vendors.inc.php	(revision 11370)
+++ includes/definitions/vendors.inc.php	(working copy)
@@ -400,6 +400,11 @@
 $config['vendors'][$vendor]['icon']       = 'netinsight';
 
 ///P
+$vendor = 'pbi';
+$config['vendors'][$vendor]['name']       = 'PBI';
+$config['vendors'][$vendor]['site_url']   = 'http://www.pbi-china.com/';
+$config['vendors'][$vendor]['icon']       = 'pbi';
+
 $vendor = 'pulse_secure';
 $config['vendors'][$vendor]['name']       = 'Pulse Secure';
 $config['vendors'][$vendor]['site_url']   = 'https://www.pulsesecure.net/';
Index: includes/definitions/mibs/pbi.inc.php
===================================================================
--- includes/definitions/mibs/pbi.inc.php	(nonexistent)
+++ includes/definitions/mibs/pbi.inc.php	(working copy)
@@ -0,0 +1,414 @@
+<?php
+
+$mib = 'PBI-MGSYSTEM-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['mib_dir'] = 'pbi';
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.1070.3.1.1.104';
+$config['mibs'][$mib]['descr'] = 'PBI devise infomation MIB';
+
+$config['mibs'][$mib]['serial'][]    = [ 'oid' => 'serialNumber.0' ];
+
+$mib = 'PBI-4000P-5000P-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['mib_dir'] = 'pbi';
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.1070.3.1.1.104';
+$config['mibs'][$mib]['descr'] = 'private infomation of PBI 4000P&5000P';
+
+/* 
+First interface - MGMT
+snmpget <...> .1.3.6.1.4.1.1070.3.1.1.7.0 .1.3.6.1.4.1.1070.3.1.1.8.0 .1.3.6.1.4.1.1070.3.1.1.9.0
+PBI-MGSYSTEM-MIB::deviceIP.0 = IpAddress: 192.168.12.101
+PBI-MGSYSTEM-MIB::subnetMask.0 = IpAddress: 255.255.255.0
+PBI-MGSYSTEM-MIB::trapIpAddress.0 = IpAddress: 192.168.12.113
+
+MAC
+PBI-MGSYSTEM-MIB::macAddress.0 = STRING: ...1NQ
+snmpget ... -Ox .1.3.6.1.4.1.1070.3.1.1.5.0
+SNMPv2-SMI::enterprises.1070.3.1.1.5.0 = Hex-STRING: 00 06 F4 31 4E 51 
+*/
+
+$config['mibs'][$mib]['ip-address'][] = [
+  'ifIndex'       => '%index0%', // placeholder
+  'version'       => 'ipv4',
+  'oid_mask'      => 'subnetMask',
+  'oid_address'   => 'deviceIP'
+];
+
+/*
+Second interface = TS/IP Input/Output interface
+ethernetOutput
+PBI-4000P-5000P-MIB::ipAddress.0 = IpAddress: 10.20.10.11
+PBI-4000P-5000P-MIB::streamUDPPort.0 = INTEGER: 2000
+PBI-4000P-5000P-MIB::multicastIPAddress.0 = IpAddress: 225.1.1.1
+PBI-4000P-5000P-MIB::tsPacketPerUDP.0 = INTEGER: 7
+PBI-4000P-5000P-MIB::ttl.0 = INTEGER: 2
+PBI-4000P-5000P-MIB::sourceNetmask.0 = IpAddress: 255.255.255.0
+PBI-4000P-5000P-MIB::sourceGateway.0 = IpAddress: 10.1.1.1
+PBI-4000P-5000P-MIB::sourceMac.0 = STRING: ...1NR
+PBI-4000P-5000P-MIB::multiUDPPort.0 = INTEGER: 3000
+PBI-4000P-5000P-MIB::protocol.0 = INTEGER: 0
+PBI-4000P-5000P-MIB::typeService.0 = INTEGER: 0
+PBI-4000P-5000P-MIB::source.0 = INTEGER: 4
+PBI-4000P-5000P-MIB::mode.0 = INTEGER: 1
+PBI-4000P-5000P-MIB::maxChannel.0 = INTEGER: 6
+PBI-4000P-5000P-MIB::curMaxChannel.0 = INTEGER: 6
+PBI-4000P-5000P-MIB::channelInput.0 = INTEGER: 0
+PBI-4000P-5000P-MIB::gatewayMac.0 = STRING: ff:ff:ff:ff:ff:ff
+PBI-4000P-5000P-MIB::targetMac4Dvb.0 = STRING: 00:00:12:34:22:56
+PBI-4000P-5000P-MIB::ethernetOutput.24.0 = Hex-STRING: 12 00 14 00 
+PBI-4000P-5000P-MIB::ethernetOutput.25.0 = INTEGER: 0
+ethernetInput
+PBI-4000P-5000P-MIB::streamIPAddress.0 = IpAddress: 10.20.10.11
+PBI-4000P-5000P-MIB::streamNetmask.0 = IpAddress: 255.255.255.0
+PBI-4000P-5000P-MIB::streamGateway.0 = IpAddress: 10.1.1.1
+PBI-4000P-5000P-MIB::streamMacAddress.0 = STRING: ...1NR
+PBI-4000P-5000P-MIB::multicastIPAddress.0 = IpAddress: 0.0.0.0
+PBI-4000P-5000P-MIB::multicastUDPPort.0 = INTEGER: 3000
+PBI-4000P-5000P-MIB::protocol.0 = INTEGER: 0
+PBI-4000P-5000P-MIB::outputSmoothing.0 = INTEGER: 0
+PBI-4000P-5000P-MIB::tsBitRate.0 = INTEGER: 38000
+PBI-4000P-5000P-MIB::ethernetInput.10.0 = INTEGER: 0
+
+MAC
+PBI-4000P-5000P-MIB::sourceMac.0 = STRING: ...1NR
+snmpget ... -Ox .1.3.6.1.4.1.1070.3.1.1.104.10.8.0
+SNMPv2-SMI::enterprises.1070.3.1.1.104.10.8.0 = Hex-STRING: 00 06 F4 31 4E 52
+*/
+
+$config['mibs'][$mib]['ip-address'][] = [
+  'ifIndex'       => '%index0%', // placeholder
+  'version'       => 'ipv4',
+  'oid_mask'      => 'sourceNetmask',
+  'oid_address'   => 'ipAddress'
+];
+
+// I don't understand which link
+//PBI-4000P-5000P-MIB::linkStatus.0 = INTEGER: 2
+$type = 'pbilinkStatus';
+$config['mibs'][$mib]['states'][$type][0] = ['name' => 'Off',    'event' => 'alert'];
+$config['mibs'][$mib]['states'][$type][1] = ['name' => '10 MB',  'event' => 'warning'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => '100 MB', 'event' => 'ok'];
+
+$config['mibs'][$mib]['status'][] = [
+  'oid'                => 'linkStatus',
+  'descr'              => 'Ethernet Link Status',
+  'type'               => 'pbilinkStatus',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.1.3.4'
+];
+
+
+$type = 'pbiLock';
+$config['mibs'][$mib]['states'][$type][0] = ['name' => 'No',  'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'Yes', 'event' => 'ok'];
+
+$type = 'pbiLNBvoltage';
+$config['mibs'][$mib]['states'][$type][0] = ['name' => 'Off', 'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][1] = ['name' => '13V', 'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => '18V', 'event' => 'ok'];
+
+$type = 'pbilnb22KHz';
+$config['mibs'][$mib]['states'][$type][0] = ['name' => 'Off', 'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'On',  'event' => 'ok'];
+
+$type = 'pbidiseqc';
+$config['mibs'][$mib]['states'][$type][0] = ['name' => 'Off',   'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'PortA', 'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'PortB', 'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][3] = ['name' => 'PortC', 'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][4] = ['name' => 'PortD', 'event' => 'ok'];
+
+$type = 'pbioutputSel';
+$config['mibs'][$mib]['states'][$type][0] = ['name' => 'qpsk', 'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'asi',  'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'ds3',  'event' => 'ok'];
+
+$type = 'pbiSource';
+$config['mibs'][$mib]['states'][$type][0] = ['name' => 'ASI',    'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'Tuner',  'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][4] = ['name' => 'Mux TS', 'event' => 'ok'];
+
+//PBI-4000P-5000P-MIB::inputStatus
+//PBI-4000P-5000P-MIB::tunerLock.0 = INTEGER: 1
+//PBI-4000P-5000P-MIB::tunerPacketLen.0 = INTEGER: 188
+//PBI-4000P-5000P-MIB::tunerTotalBitrate.0 = INTEGER: 57042256
+//PBI-4000P-5000P-MIB::tunerValidBitrate.0 = INTEGER: 55069008
+//PBI-4000P-5000P-MIB::tunerQuality.0 = INTEGER: 55069008
+//PBI-4000P-5000P-MIB::tunerStrength.0 = INTEGER: 470
+//PBI-4000P-5000P-MIB::tunerBER.0 = INTEGER: 8
+//PBI-4000P-5000P-MIB::tunerCN.0 = INTEGER: 132
+//PBI-4000P-5000P-MIB::tunerEbNo.0 = INTEGER: 84
+//PBI-4000P-5000P-MIB::asiLock.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::asiPacketLen.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::asiTotalBitrate.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::asiValidBitrate.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::ethernetInLock.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::ethernetInPacketLen.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::ethernetInTotalBitrate.0 = INTEGER: 0
+
+$config['mibs'][$mib]['status'][] = [
+  'oid'                => 'tunerLock',
+  'descr'              => 'Lock Tuner',
+  'type'               => 'pbiLock',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.1.1.1'
+];
+
+$config['mibs'][$mib]['status'][] = [
+  'oid'                => 'asiLock',
+  'descr'              => 'Lock ASI',
+  'type'               => 'pbiLock',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.1.2.1'
+];
+
+$config['mibs'][$mib]['status'][] = [
+  'oid'                => 'ethernetInLock',
+  'descr'              => 'Lock Ethernet DS3',
+  'type'               => 'pbiLock',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.1.3.1'
+];
+
+// Don't know what class for this
+$config['mibs'][$mib]['sensor'][] = [
+  'oid'                 => 'tunerTotalBitrate',
+  'descr'               => 'tuner Total bitrate',
+  'class'               => 'gauge',
+  'unit'                => 'bps',
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.1.1.3'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'oid'                 => 'tunerValidBitrate',
+  'descr'               => 'tuner Valid bitrate',
+  'class'               => 'gauge',
+  'unit'                => 'bps',
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.1.1.4'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'oid'                 => 'asiTotalBitrate',
+  'descr'               => 'ASI Total bitrate',
+  'class'               => 'gauge',
+  'unit'                => 'bps',
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.1.2.3'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'oid'                 => 'asiValidBitrate',
+  'descr'               => 'ASI Valid bitrate',
+  'class'               => 'gauge',
+  'unit'                => 'bps',
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.1.2.4'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'oid'                 => 'tunerStrength',
+  'descr'               => 'Tuner Strength',
+  'class'               => 'dbm',
+  'scale'               => -0.1,
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.1.1.6'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'oid'                 => 'tunerBER',
+  'descr'               => 'Tuner BER',
+  'class'               => 'snr',
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.1.1.7'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'oid'                 => 'tunerCN',
+  'descr'               => 'Tuner Carrier/Noise',
+  'class'               => 'snr',
+  'scale'               => 0.1,
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.1.1.8'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'oid'                 => 'tunerEbNo',
+  'descr'               => 'Tuner Eb/N0',
+  'class'               => 'snr',
+  'scale'               => 0.1,
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.1.1.9'
+];
+
+// PBI-4000P-5000P-MIB::tuner-sInput
+// PBI-4000P-5000P-MIB::lnbFrequency.0 = INTEGER: 9750
+// PBI-4000P-5000P-MIB::satFrequency.0 = INTEGER: 11880
+// PBI-4000P-5000P-MIB::symbolRate.0 = INTEGER: 28800
+// PBI-4000P-5000P-MIB::lnbVoltage.0 = INTEGER: 2
+// PBI-4000P-5000P-MIB::lnb22KHz.0 = INTEGER: 0
+// PBI-4000P-5000P-MIB::diseqc.0 = INTEGER: 0
+$config['mibs'][$mib]['sensor'][] = [
+//REAL  'oid'                 => 'tuner-sInput.lnbFrequency',
+  'oid'                 => 'lnbFrequency',
+  'descr'               => 'LNB frequency (Tuner sInput)',
+  'class'               => 'frequency',
+  'scale'               => 1000000,
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.3.1'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+//REAL  'oid'                 => 'tuner-sInput.satFrequency',
+  'oid'                 => 'satFrequency',
+  'descr'               => 'Satellite frequency for transmission (Tuner sInput)',
+//DESCRIPTION		"Tuner frequency or centre_frequency for the transmission expressed in MHz, its value range: from 950MHz to 2150 MHz"
+  'class'               => 'frequency',
+  'scale'               =>    1000000,
+  'limit_low'           =>  950000000,
+  'limit_high'          => 2150000000,
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.3.2'
+];
+
+$config['mibs'][$mib]['status'][] = [
+//REAL  'oid'                => 'tuner-sInput.lnbVoltage',
+  'oid'                => 'lnbVoltage',
+  'descr'              => 'LNB Voltage (Tuner sInput)',
+  'type'               => 'pbiLNBvoltage',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.3.4'
+];
+
+$config['mibs'][$mib]['status'][] = [
+//REAL  'oid'                => 'tuner-sInput.lnb22KHz',
+  'oid'                => 'lnb22KHz',
+  'descr'              => 'LNB 22KHz (Tuner sInput)',
+  'type'               => 'pbilnb22KHz',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.3.5'
+];
+
+$config['mibs'][$mib]['status'][] = [
+//REAL  'oid'                => 'tuner-sInput.diseqc',
+  'oid'                => 'diseqc',
+  'descr'              => 'DiSEqC (Tuner sInput)',
+  'type'               => 'pbidiseqc',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.3.6'
+];
+
+//PBI-4000P-5000P-MIB::tuner-cInput
+//PBI-4000P-5000P-MIB::constellation.0 = INTEGER: 2
+//PBI-4000P-5000P-MIB::cableFrequency.0 = INTEGER: 50000
+//PBI-4000P-5000P-MIB::cableSymbolRate.0 = INTEGER: 6875
+$config['mibs'][$mib]['sensor'][] = [
+  'oid'                 => 'cableFrequency',
+  'descr'               => 'Cable frequency',
+//DESCRIPTION		"Cable frequency, its value range: from 48000KHz to 862000KHz"
+  'class'               => 'frequency',
+  'scale'               => 1,
+  'limit_low'           => 48000,
+  'limit_high'          => 862000,
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.4.2'
+];
+
+//PBI-4000P-5000P-MIB::tuner-tInput
+//PBI-4000P-5000P-MIB::terFrequency.0 = INTEGER: 794000
+//PBI-4000P-5000P-MIB::bandWidth.0 = INTEGER: 0
+$config['mibs'][$mib]['sensor'][] = [
+  'oid'                 => 'terFrequency',
+  'descr'               => 'terrestrial frequency',
+//DESCRIPTION		"terrestrial frequency: its value range: from 0kb/s to 1000000kb/s"
+  'class'               => 'frequency',
+  'scale'               => 1,
+  'limit_low'           => 0,
+  'limit_high'          => 1000000,
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.5.1'
+];
+
+//PBI-4000P-5000P-MIB asiOutput
+//PBI-4000P-5000P-MIB::sourceSel1.0 = INTEGER: 1
+//PBI-4000P-5000P-MIB::packageLength1.0 = INTEGER: 188
+//PBI-4000P-5000P-MIB::sourceSel2.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::packageLength2.0 = INTEGER: 188
+$config['mibs'][$mib]['status'][] = [
+  'oid'                => 'sourceSel1',
+  'descr'              => 'output source 1',
+  'type'               => 'pbioutputSel',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.7.1.1'
+];
+
+$config['mibs'][$mib]['status'][] = [
+  'oid'                => 'sourceSel2',
+  'descr'              => 'output source 2',
+  'type'               => 'pbioutputSel',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.7.2.1'
+];
+
+//PBI-4000P-5000P-MIB::ciOutput
+//PBI-4000P-5000P-MIB::ciSource.0 = INTEGER: 4
+//PBI-4000P-5000P-MIB::ciCount1.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::ciProgramNumber1.0 = STRING: 
+//PBI-4000P-5000P-MIB::ciCount2.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::ciProgramNumber2.0 = STRING: 
+//PBI-4000P-5000P-MIB::ciLock.0 = INTEGER: 1
+//PBI-4000P-5000P-MIB::ciMenuNode.0 = STRING: 
+//PBI-4000P-5000P-MIB::ciMenuNodeInfo.0 = STRING: 
+//PBI-4000P-5000P-MIB::ciSlot1Status.0 = STRING: .
+//PBI-4000P-5000P-MIB::ciSlot2Status.0 = STRING: .
+$config['mibs'][$mib]['status'][] = [
+  'oid'                => 'ciLock',
+  'descr'              => 'Lock CI Output',
+  'type'               => 'pbiLock',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.11.6'
+];
+
+$config['mibs'][$mib]['status'][] = [
+  'oid'                => 'ciSource',
+  'descr'              => 'CI Output Source',
+  'type'               => 'pbiSource',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.11.1'
+];
+
+//PBI-4000P-5000P-MIB::s2Input
+//PBI-4000P-5000P-MIB::lnbFrequency.0 = INTEGER: 9750
+//PBI-4000P-5000P-MIB::satFrequency.0 = INTEGER: 11880
+//PBI-4000P-5000P-MIB::symbolRate.0 = INTEGER: 28800
+//PBI-4000P-5000P-MIB::lnbVoltage.0 = INTEGER: 2
+//PBI-4000P-5000P-MIB::lnb22KHz.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::demodulatorMode.0 = INTEGER: 1
+//PBI-4000P-5000P-MIB::operationMode.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::pilot.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::roll-OffFactor.0 = INTEGER: 0
+//PBI-4000P-5000P-MIB::disEqc.0 = INTEGER: off(0)
+$config['mibs'][$mib]['sensor'][] = [
+//orig  'oid'                 => 's2Input.lnbFrequency',
+  'oid'                 => 's2lnbFrequency',
+  'descr'               => 'LNB frequency (s2Input)',
+  'class'               => 'frequency',
+  'scale'               => 1000000,
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.14.1'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+//orig  'oid'                 => 's2Input.satFrequency',
+  'oid'                 => 's2satFrequency',
+  'descr'               => 'Satellite frequency for transmission (s2Input)',
+//DESCRIPTION		"Tuner frequency or centre_frequency for the transmission expressed in MHz, its value range: from 950MHz to 2150 MHz"
+  'class'               => 'frequency',
+  'scale'               =>    1000000,
+  'limit_low'           =>  950000000,
+  'limit_high'          => 2150000000,
+  'oid_num'             => '.1.3.6.1.4.1.1070.3.1.1.104.14.2'
+];
+
+$config['mibs'][$mib]['status'][] = [
+//orig  'oid'                => 's2Input.lnbVoltage',
+  'oid'                => 's2lnbVoltage',
+  'descr'              => 'LNB Voltage (s2Input)',
+  'type'               => 'pbiLNBvoltage',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.14.4'
+];
+
+$config['mibs'][$mib]['status'][] = [
+//orig  'oid'                => 's2Input.lnb22KHz',
+  'oid'                => 's2lnb22KHz',
+  'descr'              => 'LNB 22KHz (s2Input)',
+  'type'               => 'pbilnb22KHz',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.14.5'
+];
+
+$config['mibs'][$mib]['status'][] = [
+//orig  'oid'                => 's2Input.diseqc',
+  'oid'                => 's2diseqc',
+  'descr'              => 'DiSEqC (s2Input)',
+  'type'               => 'pbidiseqc',
+  'oid_num'            => '.1.3.6.1.4.1.1070.3.1.1.104.14.10'
+];
+
+// EOF
Index: includes/definitions/os.inc.php
===================================================================
--- includes/definitions/os.inc.php	(revision 11370)
+++ includes/definitions/os.inc.php	(working copy)
@@ -3384,6 +3384,19 @@
 $config['os'][$os]['mibs'][]                = "EIP-MON-MIB";
 //$config['os'][$os]['mibs'][]                = "EIP-MON-MIB";
 
+$os = "pbi-coder";
+$config['os'][$os]['text']                  = "PBI Digital Decoder";
+$config['os'][$os]['type']                  = "video";
+$config['os'][$os]['group']                 = "unix";
+$config['os'][$os]['vendor']                = "pbi";
+$config['os'][$os]['sysDescr_regex'][]      = '/Linux (?<hardware>DCH-[\w-]+)/';
+$config['os'][$os]['discovery'][]           = array(
+  'sysObjectID'                             => '.1.3.6.1.4.1.2021.250.10', //PBI DCH-4000P
+  'sysDescr'                                => '/Linux DCH-/i',
+);
+$config['os'][$os]['mibs'][]                = "PBI-4000P-5000P-MIB";
+$config['os'][$os]['mibs'][]                = "PBI-MGSYSTEM-MIB";
+
 /// All other OS definitions
 
 $include_dir = 'includes/definitions/os';
Index: mibs/pbi/PBI-4000P-5000P-MIB
===================================================================
--- mibs/pbi/PBI-4000P-5000P-MIB	(nonexistent)
+++ mibs/pbi/PBI-4000P-5000P-MIB	(working copy)
@@ -0,0 +1,1391 @@
+-- File Name : PBI-4000P-5000P-MIB
+-- Date      : Thu Sep 21 14:34:51 CST 2006
+-- Author    : AdventNet Agent Toolkit Java Edition - MIB Editor 6
+
+
+
+PBI-4000P-5000P-MIB	DEFINITIONS ::= BEGIN
+	IMPORTS
+		TruthValue, DisplayString
+			FROM SNMPv2-TC
+		DisplayString
+			FROM RFC1213-MIB
+		basicInfo
+			FROM PBI-MGSYSTEM-MIB
+		mg
+			FROM PBI-MAIN-MIB
+		MODULE-IDENTITY, OBJECT-TYPE, Integer32, enterprises
+			FROM SNMPv2-SMI;
+
+	p4000-p5000	MODULE-IDENTITY
+		LAST-UPDATED	"200609131023Z"
+		ORGANIZATION	"PBI"
+		CONTACT-INFO	"Tel:(010)82617178 
+									Fax:(010)82610263 
+									E-mail:mkt@pbi-china.com"
+		DESCRIPTION		" private infomation of 4000P&5000P "
+		REVISION			"200609131049Z"
+		DESCRIPTION		""
+		::=  {  basicInfo  104  }
+
+	inputStatus	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  1  }
+
+	tunerType	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  2  }  
+
+	tuner-sInput	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  3  }  
+
+	tuner-cInput	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  4  }
+
+	tuner-tInput	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  5  }
+  
+  outputSel	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  6  }
+
+	asiOutput	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  7  }
+
+	sdiOutput	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  8  }
+	
+	decoderOutput	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  9  }
+
+	ethernetOutput	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  10  } 
+
+	ciOutput	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  11  } 
+		     
+	outputStatus	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  12  } 
+
+	ethernetInput	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  13  } 
+
+	s2Input	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  14  }
+
+	functionAdd	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  15  }
+
+	filterSetup	OBJECT IDENTIFIER
+		::=  {  p4000-p5000  16  }
+
+	multiplexSetup OBJECT IDENTIFIER
+		::=  {  p4000-p5000  17  }
+
+	ds3Input OBJECT IDENTIFIER
+		::=  {  p4000-p5000  18  }
+
+	cmOutput OBJECT IDENTIFIER
+		::=  {  p4000-p5000  20  }
+
+	backupSetting OBJECT IDENTIFIER
+		::=  {  p4000-p5000  21  }
+
+	ntpSetting OBJECT IDENTIFIER
+		::=  {  p4000-p5000  22  }
+
+	gigabitIPInfo OBJECT IDENTIFIER
+		::=  {  p4000-p5000  23  }
+    
+  tunerStatusEntry OBJECT IDENTIFIER 
+    ::= { inputStatus 1 }
+    
+	asiStatusEntry OBJECT IDENTIFIER 
+	  ::= { inputStatus 2 }
+
+	ethernetInStatusEntry OBJECT IDENTIFIER 
+	  ::= { inputStatus 3 }
+
+  tunerLock	OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"tuner Lock? yes: 1,no: 0 "
+		  ::=  {  tunerStatusEntry  1  }
+
+  tunerPacketLen	OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"packet length: 188 or 204 "
+		  ::=  {  tunerStatusEntry  2  }
+
+  tunerTotalBitrate	OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"total bit Rate size: from 0 to 100Mbps"
+		  ::=  {  tunerStatusEntry  3  }
+
+  tunerValidBitrate	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"valid Bit rate: from 0 to 100Mbps"
+		  ::=  {  tunerStatusEntry  4  }
+
+  tunerQuality	OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"tuner quality signal monitoring"
+		  ::=  {  tunerStatusEntry  5  }
+
+	tunerStrength	OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"tuner signal strength"
+		  ::=  {  tunerStatusEntry  6  }
+
+	tunerBER	OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"tuner signal BER"
+		  ::=  {  tunerStatusEntry  7  }
+
+	tunerCN	OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"tuner carrier noise"
+		  ::=  {  tunerStatusEntry  8  }
+
+	tunerEbNo	OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"tuner Eb/No"
+		  ::=  {  tunerStatusEntry  9  }
+
+	asiLock	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"ASI Lock? yes: 1,no: 0 "
+		  ::=  {  asiStatusEntry  1  }	
+
+  asiPacketLen	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"packet length: 188 or 204 "
+		  ::=  {  asiStatusEntry  2  }
+
+  asiTotalBitrate	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"total bit Rate size: from 0 to 100Mbps"
+		  ::=  {  asiStatusEntry  3  }
+
+  asiValidBitrate	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"valid Bit rate: from 0 to 100Mbps"
+		  ::=  {  asiStatusEntry  4  }
+
+	asiIndex	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"specify which ASI input"
+		  ::=  {  asiStatusEntry  5  }
+
+	ethernetInLock	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"DS3 Lock? yes: 1,no: 0 "
+		  ::=  {  ethernetInStatusEntry  1  }  
+
+	ethernetInPacketLen	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"packet length: 188 or 204 "
+		  ::=  {  ethernetInStatusEntry  2  }
+
+  ethernetInTotalBitrate	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"total bit Rate size: from 0 to 100Mbps"
+		  ::=  {  ethernetInStatusEntry  3  }
+
+	linkStatus	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"0:none, 1:10M, 2:100M"
+		  ::=  {  ethernetInStatusEntry  4  }
+
+	typeSel	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"tuner type"
+		  ::=  {  tunerType  1  }
+
+	channel	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"tuner channel"
+		  ::=  {  tunerType  2  }
+
+	lnbFrequency	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"LNB frequency"
+		  ::=  {  tuner-sInput  1  }
+
+	satFrequency	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Tuner frequency or centre_frequency for the transmission expressed in MHz, its value range: from 950MHz to 2150 MHz"
+		  ::=  {  tuner-sInput  2  }	
+
+	symbolRate	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Tuner symbol rate in symbols per second,its value range: from 0kb/s to 45000kb/s"
+		  ::=  {  tuner-sInput  3  }
+      
+  lnbVoltage	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Tuner power, Option: 0v,13v,18v"
+		  ::=  {  tuner-sInput  4  }
+
+	lnb22KHz	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Tuner 22 KHz, option: off or on"
+		  ::=  {  tuner-sInput  5  }
+
+	diseqc	OBJECT-TYPE	
+		SYNTAX			  INTEGER {
+			off(0),
+			portA(1),
+			portB(2),
+			portC(3),
+			portD(4)
+		}
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Tuner diseqc, option: 0:DisEqc Offˇ˘1:PortAˇ˘2:PortBˇ˘3:PortCˇ˘4:PortD"
+		  ::=  {  tuner-sInput  6  }
+
+	constellation	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"LNB frequency"
+		  ::=  {  tuner-cInput  1  }
+
+	cableFrequency	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Cable frequency, its value range: from 48000KHz to 862000KHz"
+		  ::=  {  tuner-cInput  2  }	
+
+	cableSymbolRate	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The symbol rate in symbols per second, its value range: from 2000kb/s to 7000kb/s"
+		  ::=  {  tuner-cInput  3  }
+
+  terFrequency	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"terrestrial frequency: its value range: from 0kb/s to 1000000kb/s"
+		  ::=  {  tuner-tInput  1  }
+
+	bandWidth	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"terrestrial band width,option: 0-6MHz; 1-7MHz; 2-8MHz"
+		  ::=  {  tuner-tInput  2  }
+
+	output2sel	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"output 2 select"
+		  ::=  {  outputSel  1  } 
+
+	decoderOutChannel	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"specify decoder out channel"
+		  ::=  {  outputSel  2  }
+
+	ciOutChannel	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"specify ci out channel"
+		  ::=  {  outputSel  3  }
+
+	filterOutChannel	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"specify filter out channel"
+		  ::=  {  outputSel  4  }
+
+	muxOutChannel	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"specify mux out channel"
+		  ::=  {  outputSel  5  }
+
+	asi1OutputEntry OBJECT IDENTIFIER 
+	  ::= { asiOutput 1 }
+
+	asi2OutputEntry OBJECT IDENTIFIER 
+	  ::= { asiOutput 2 }
+
+	sourceSel1	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"select source, qpsk:0, asi:1, ds3:2 "
+		  ::=  {  asi1OutputEntry  1  }
+
+	packageLength1	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"package lengh, 188 or 204"
+		  ::=  {  asi1OutputEntry  2  }
+
+	outBitRate	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"out BitRate, range: from 0~150000Kbps"
+		  ::=  {  asi1OutputEntry  3  }
+
+	muxType	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"set Mux Type,option: 0:ASI TV,QPSK EMM CAT; 1:ASI TV,IP EMM; 2:ASI TV,IP EMM CAT; 3:QPSK TV,ASI EMM CAT; 4:QPSK TV,IP EMM CAT"
+		  ::=  {  asi1OutputEntry  4  }
+
+	sourceSel2	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"select source, qpsk:0, asi:1, ds3:2 "
+		  ::=  {  asi2OutputEntry  1  }
+
+	packageLength2	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"package lengh, 188 or 204"
+		  ::=  {  asi2OutputEntry  2  }
+
+	audioDID	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"options: group 1, group 2, group 3, group 4"
+		  ::=  {  sdiOutput  1  }
+	
+	embAudios	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"options: none, one, two, one&two"
+		  ::=  {  sdiOutput  2  }	
+
+	programOutputEntry OBJECT IDENTIFIER 
+		  ::= { decoderOutput 1 }
+
+	videoOutputEntry OBJECT IDENTIFIER 
+		  ::= { decoderOutput 2 }
+
+	audioOutputEntry OBJECT IDENTIFIER 
+	  ::= { decoderOutput 3 } 
+
+	bissEntry OBJECT IDENTIFIER 
+	  ::= { decoderOutput 4 }
+
+	decoderSelection OBJECT IDENTIFIER
+	  ::= { decoderOutput 5 }
+
+	inputChannel	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"options: qpsk, asi, ds3"
+		  ::=  {  programOutputEntry  1  }
+
+	programNumber	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"select a program to 4000P and decode it,"
+		  ::=  {  programOutputEntry  2  }
+
+	videoStandard OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Decoder status 4 modes :PAL/AUTO/SECAM/NTSC "
+		  ::= { videoOutputEntry 1 }    
+
+	screen OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Decoder status screen display: 4:3 Letterbox/4:3 Full/16:9 Full"
+		  ::= { videoOutputEntry 2 }
+
+	dvbSubtitleLang OBJECT-TYPE
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Decoder status DVB subtitle language 3 characters"
+		  ::= { videoOutputEntry 3 }
+
+	ebuSubtitleLang OBJECT-TYPE
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Decoder status EBU subtitle language 3 characters"
+		  ::= { videoOutputEntry 4 }
+
+	subtitlePriority OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Decoder status subtitle priority: EBU First/DVB first"
+		  ::= { videoOutputEntry 5 }
+
+	failMode OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Video Fail Mode,option:Black Screen=0,Still Picture=1,No Sync=2"
+		  ::= { videoOutputEntry 6 }
+
+	dvbSubtitleLangEnable OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Decoder status DVB subtitle language enable: 0-off, 1-on"
+		  ::= { videoOutputEntry 7 }
+
+	ebuSubtitleLangEnable OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Decoder status EBU subtitle language enable: 0-off, 1-on"
+		  ::= { videoOutputEntry 8 }
+
+	closeCaption OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"video close caption,option: 0-off, 1-on"
+		  ::= { videoOutputEntry 9 }
+
+	videoOutAlarmEn OBJECT-TYPE
+		SYNTAX			INTEGER {
+		  disable(0),
+		  enable(1)
+		}
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Video Out Alarm On/Off Setting"
+		  ::= { videoOutputEntry 10 }
+
+	vbiMode OBJECT-TYPE
+		SYNTAX			INTEGER {
+		  disable(0),
+		  enable(1)
+		}
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Video Output VBI Mode Setting"
+		  ::= { videoOutputEntry 11 }
+
+	cvbsPAL OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"video output CVBS PAL Setting, for example, PALBDGHI, PALN, PALN_C, SECAM "
+		  ::= { videoOutputEntry 12 }
+
+	cvbsNTSC OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"video output CVBS NTSC Setting, for example, NTSCM, NTSCM_J, NTSCM_443, PALM "
+		  ::= { videoOutputEntry 13 }
+
+	videoOutputStatus OBJECT-TYPE
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"show video output status "
+		  ::= { videoOutputEntry 14 }
+
+	audioLevel OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Decoder status audio level: from 0 to 99"
+		  ::= { audioOutputEntry 1 }
+
+	audioModulation OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Decoder status audio modulation: stereo/left/right/mono"
+		  ::= { audioOutputEntry 2 }
+
+  audioLang OBJECT-TYPE
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Decoder status audio language 3 characters"
+		  ::= { audioOutputEntry 3 }
+
+  audioOutAlarmEn OBJECT-TYPE
+		SYNTAX			INTEGER {
+		  disable(0),
+		  enable(1)
+		}
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Audio Out Alarm On/Off Setting"
+		  ::= { audioOutputEntry 4 }
+
+	audioOutIndex OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"specify which audio output"
+		  ::= { audioOutputEntry 5 }
+
+	audioOutputStatus OBJECT-TYPE
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"show audio output status "
+		  ::= { audioOutputEntry 6 }
+
+	bissMode OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"biss mode, 0:biss 1, 1:biss E"
+		  ::= { bissEntry 1 }
+
+	biss1Key OBJECT-TYPE
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 12 ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"the key of biss 1"
+		  ::= { bissEntry 2 }
+
+	bissEKey OBJECT-TYPE
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 16 ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"the key of biss E"
+		  ::= { bissEntry 3 }
+
+	bissEId OBJECT-TYPE
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 14 ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"the id of biss E"
+		  ::= { bissEntry 4 }
+
+	bissSource OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"the source of biss, it include ASI1ˇ˘Tunerˇ˘IP In(option)ˇ˘CIˇ˘ASI2ˇ˘Mux TS(option)"
+		  ::= { bissEntry 5 }
+
+	bissProgram OBJECT-TYPE
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"the program number of descramble program according to biss,a program number occupy 2 bytes"
+		  ::= { bissEntry 6 }
+
+	decoderMode OBJECT-TYPE
+		SYNTAX			INTEGER {
+			manual(0),
+			auto(1)
+		}
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		" Decoder Mode Setting, it include manualˇ˘auto "
+		  ::= { decoderSelection 1 }
+
+	ipAddress	OBJECT-TYPE	
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"ethernet output ip address"
+		  ::=  {  ethernetOutput  1  }  
+
+	streamUDPPort	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"ethernet output stream UDP port"
+		  ::=  {  ethernetOutput  2  }
+
+	multicastIPAddress	OBJECT-TYPE	
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"ethernet output multicast IP address"
+		  ::=  {  ethernetOutput  3  }
+
+	tsPacketPerUDP	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"ethernet output TS packets per UDP"
+		  ::=  {  ethernetOutput  4  }
+
+	ttl	OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"ethernet output ttl"
+		  ::=  {  ethernetOutput  5  }
+
+	sourceNetmask	OBJECT-TYPE	
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"External board netmask"
+		  ::=  {  ethernetOutput  6  }
+
+	sourceGateway	OBJECT-TYPE	
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"External board gateway"
+		  ::=  {  ethernetOutput  7  }
+
+	sourceMac	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 255  ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"External board mac"
+		  ::=  {  ethernetOutput  8  }
+
+	multiUDPPort	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Multicast port"
+		  ::=  {  ethernetOutput  9  }
+
+	protocol	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"0 udp; 1 trp;"
+		  ::=  {  ethernetOutput  10  }
+
+	typeService	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"5 type: 0 normal; 1 min delay; 2 max throughput; 3 max reliability; 4 min monetary cost"
+		  ::=  {  ethernetOutput  11  }
+
+	source	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"4 types: 0 asi; 1 tuner; 2 ds3; 3 CI"
+		  ::=  {  ethernetOutput  12  }
+
+	mode     OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"mode:DVB, IPTV"
+		  ::=  {  ethernetOutput  13  }
+
+	maxChannel     OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"when mode is IPTV, hardware sustain max channel"
+		  ::=  {  ethernetOutput  14  }
+
+	curMaxChannel     OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"when mode is IPTV, device can output channel number most currently"
+		  ::=  {  ethernetOutput  15  }
+
+	channelInput     OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"when mode is IPTV, input channel number currently"
+		  ::=  {  ethernetOutput  16  }
+
+	multicastValues     OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"when mode is IPTV, the value of multicast"
+		  ::=  {  ethernetOutput  17  }
+
+	gatewayMac     OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"the gatewat mac address, example: 44:45:53:54:00:00"
+		  ::=  {  ethernetOutput  18  }
+
+	highTargetMac     OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"when mode is IPTV, it denote all multicast channel's target mac, only save high 32bit, one channel occupy 4 bytes"
+		  ::=  {  ethernetOutput  19  }
+
+	lowTargetMac     OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"when mode is IPTV, it denote all multicast channel's target mac, only save target mac's low 16bit, one channel occupy 4 bytes, latter 2 bytes is effective"
+		  ::=  {  ethernetOutput  20  }
+
+	targetMac4Dvb     OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"when mode is DVB, the target mac address, example: 44:45:53:54:00:00"
+		  ::=  {  ethernetOutput  21  }
+
+	switch4Dvb     OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"switch control for IP Output of DVB mode"
+		  ::=  {  ethernetOutput  23  }
+
+	ciSource	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"CI output source"
+		  ::=  {  ciOutput  1  }
+
+	ciCount1	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"CI1 output program counts"
+		  ::=  {  ciOutput  2  }   
+
+	ciProgramNumber1	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"CI1 output program numbers,it is a array"
+		  ::=  {  ciOutput  3  }     
+
+	ciCount2	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"CI2 output program counts"
+		  ::=  {  ciOutput  4  }   
+
+	ciProgramNumber2	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"CI2 output program numbers,it is a array"
+		  ::=  {  ciOutput  5  }  
+
+	ciLock	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"CI Lock? yes: 1,no: 0 "
+		  ::=  {  ciOutput  6  }  
+
+	ciMenuNode	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"which node in ci menu"
+		  ::=  {  ciOutput  7  }
+
+	ciMenuNodeInfo	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"the node values in ci menu"
+		  ::=  {  ciOutput  8  }	
+
+	ciSlot1Status	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 255  ) )
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"the status of slot1,if slot1 has card,then return the name of card,else return string whose length is zero-length"
+		  ::=  {  ciOutput  9  }
+
+	ciSlot2Status	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 255  ) )
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"the status of slot2,if slot2 has card,then return the name of card,else return string whose length is zero-length"
+		  ::=  {  ciOutput  10  }
+
+	asiOutputStatusEntry OBJECT IDENTIFIER 
+	  ::= { outputStatus 1 }
+
+	sdiOutputStatusEntry OBJECT IDENTIFIER 
+	  ::= { outputStatus 2 }
+
+	ds3OutputStatusEntry OBJECT IDENTIFIER 
+	  ::= { outputStatus 3 }
+
+	decoderOutputStatusEntry OBJECT IDENTIFIER 
+	  ::= { outputStatus 4 }
+	  	
+	ethernetOutputStatusEntry OBJECT IDENTIFIER 
+	  ::= { outputStatus 5 }
+
+	ciOutputStatusEntry OBJECT IDENTIFIER 
+	  ::= { outputStatus 6 }
+
+	asiStatus OBJECT-TYPE
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"ASI status"
+		  ::= { asiOutputStatusEntry 1 }
+
+	sdiStatus OBJECT-TYPE
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"SDI status"
+		  ::= { sdiOutputStatusEntry 1 }
+
+	ds3Status OBJECT-TYPE
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"DS3 status"
+		  ::= { ds3OutputStatusEntry 1 }
+
+	ethernetStatus OBJECT-TYPE
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Ethernet status"
+		  ::= { ethernetOutputStatusEntry 1 }
+
+	ciStatus OBJECT-TYPE
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"CI status"
+		  ::= { ciOutputStatusEntry 1 }
+
+	streamIPAddress	OBJECT-TYPE	
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"ethernet input ip address"
+		  ::=  {  ethernetInput  1  }  
+
+	streamNetmask     OBJECT-TYPE	
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"External board Input netmask"
+		  ::=  {  ethernetInput  2  }
+
+	streamGateway     OBJECT-TYPE	
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"External board Input gateway"
+		  ::=  {  ethernetInput  3  }
+
+	streamMacAddress    OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 255  ) )
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"External board Input mac"
+		  ::=  {  ethernetInput  4  }
+
+	multicastIPAddress	OBJECT-TYPE
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"ethernet input multicast IP address"
+		  ::=  {  ethernetInput  5 }
+
+	multicastUDPPort     OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Multicast port:0~65535"
+		  ::=  {  ethernetInput  6  }
+
+	protocol     OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"0 udp; 1 trp;"
+		  ::=  {  ethernetInput  7  }
+
+	outputSmoothing     OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"0:Auto, 1:Fixed Rate, 2:Disable"
+	 	  ::=  {  ethernetInput  8  }
+	 
+	tsBitRate     OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"input TS BitRate,from 0M~99M"
+	 	  ::=  {  ethernetInput  9  }
+
+	s2lnbFrequency     OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"LNB frequency"
+		  ::=  {  s2Input  1  }
+
+	s2satFrequency	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Tuner frequency or centre_frequency for the transmission expressed in MHz, its value range: from 950MHz to 2150 MHz"
+		  ::=  {  s2Input  2  }	
+
+	s2symbolRate	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Tuner symbol rate in symbols per second,its value range: from 0kb/s to 45000kb/s"
+		  ::=  {  s2Input  3  }
+
+	s2lnbVoltage	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Tuner power, Option: 0v,13v,18v"
+		  ::=  {  s2Input  4  }
+
+	s2lnb22KHz	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Tuner 22 KHz, option: off or on"
+		  ::=  {  s2Input  5  }
+
+	demodulatorMode OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"DVB_S2 demodulator mode, option: DVB-Sˇ˘DVB-S2, parameter: 0,1"
+		  ::=  {  s2Input  6  }
+
+	operationMode OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"RX operation mode, option: QPSK 1/2ˇ˘QPSK 2/3ˇ˘QPSK 3/4ˇ˘QPSK 3/5ˇ˘QPSK 4/5ˇ˘QPSK 5/6ˇ˘QPSK 8/9ˇ˘QPSK 9/10ˇ˘8PSK 2/3ˇ˘8PSK 3/4ˇ˘8PSK 3/5ˇ˘8PSK 5/6ˇ˘8PSK 8/9ˇ˘8PSK 9/10, parameter: 0ˇ˘1ˇ˘2ˇ˘3ˇ˘4ˇ˘5ˇ˘6ˇ˘7ˇ˘8ˇ˘9ˇ˘10ˇ˘11ˇ˘12ˇ˘13"
+		  ::=  {  s2Input  7  }
+
+	pilot OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"pilot OPT, option: offˇ˘on, parameter: 0, 1"
+		  ::=  {  s2Input  8  }
+
+	roll-OffFactor OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"Roll off OPT, option: 0.2ˇ˘0.25ˇ˘0.35, parameter: 0, 1, 2"
+		  ::=  {  s2Input  9  }
+
+	s2disEqc OBJECT-TYPE
+		SYNTAX			  INTEGER {
+			off(0),
+			portA(1),
+			portB(2),
+			portC(3),
+			portD(4)
+		}
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"tuner disEqc setting"
+		  ::=  {  s2Input  10  }
+
+	functionSelect OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"function select,option:0:null;1:filter;2:multiplexer"
+		  ::=  {  functionAdd  1  }
+
+	filterChannel OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"filter channel,option:0:ASI;1:Tuner;2:IP In;3:CI"
+		  ::=  {  filterSetup  1  }
+
+	filterSection OBJECT-TYPE
+		SYNTAX			  DisplayString
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"set filter section to Agent,format:old program number,old program number...,every parameter size is 2Byte"
+		  ::=  {  filterSetup  2  }
+	
+	filterFunctionControl OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"set filter function control,off:0;on:1"
+		  ::=  {  filterSetup  3  }
+
+	outBitRate OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"set out bitRate, range: from 0~150000Kbps"
+		  ::=  {  filterSetup  4  }
+
+	programNumberContrast OBJECT-TYPE
+		SYNTAX			  DisplayString
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"set program number contrast to Agent,format:channel,old program number,new program number,channel,old program number,new program number...,every parameter size is 2Byte"
+		  ::=  {  multiplexSetup  1  }
+
+	pidContrast OBJECT-TYPE
+		SYNTAX			  DisplayString
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"set All PID contrast to Agent,format:channel,old PMT PID,new PMT PID,channel,old PCR PID,new PCR PID...,every parameter size is 2Byte"
+		  ::=  {  multiplexSetup  2  }
+
+	catSection OBJECT-TYPE
+		SYNTAX			  DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"set new CAT section to Agent,The transport stream Relating to the CAT seciton, reference ISO/IEC 13818-1 "
+		  ::=  {  multiplexSetup  3  }
+
+	sdtSection OBJECT-TYPE
+		SYNTAX			  DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"set new SDT section to Agent,The transport stream Relating to the SDT seciton, reference DVB 300-468 "
+		  ::=  {  multiplexSetup  4  }
+
+	pmtSection OBJECT-TYPE
+		SYNTAX			  DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"set new PMT section to Agent,The transport stream Relating to the PMT seciton, reference ISO/IEC 13818-1 "
+		  ::=  {  multiplexSetup  5  }
+
+	nitActualSection OBJECT-TYPE
+		SYNTAX			  DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"Relating to the Actual section, its table ID is 0x40 in NIT,reference DVB 300-468"
+		  ::=  {  multiplexSetup  6  }
+
+	mxApply	OBJECT-TYPE	
+		SYNTAX			INTEGER 
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Send multiplexing command: send 1 to multiplexing"
+		::=  {  multiplexSetup  7  }
+
+	mxFunctionControl	OBJECT-TYPE	
+		SYNTAX			INTEGER 
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"set mux function control,off:0;on:1"
+		::=  {  multiplexSetup  8  }
+
+	outBitRate	OBJECT-TYPE	
+		SYNTAX			INTEGER 
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"set out bitRate,range:from 0~150000Kbps"
+		::=  {  multiplexSetup  9  }
+
+	outTSID	OBJECT-TYPE	
+		SYNTAX			INTEGER 
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"set out TS ID,range:from 0~65535"
+		::=  {  multiplexSetup  10  }
+
+	ghostSection OBJECT-TYPE
+		SYNTAX			  DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"set Ghost section to Agent,The transport stream Relating to the Ghost seciton, reference ISO/IEC 13818-1 "
+		  ::=  {  multiplexSetup  11  }
+
+	originalNetworkId OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"set Original Network ID,range:from 0~65535 "
+		  ::=  {  multiplexSetup  12  }
+
+	muxOverFlowPercent OBJECT-TYPE
+		SYNTAX			   INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"mux overflow percent, range =(0-100). "
+		  ::=  {  multiplexSetup  13  }
+
+	ds3InputType OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"set DS3 Input Type, 0:Deinterleave; 1:Normal "
+		  ::=  {  ds3Input  1  }
+
+	qamOrder OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"QAM modulate mode,option:QPSKˇ˘16QAMˇ˘64QAM "
+		  ::=  {  cmOutput  1  }
+
+	bandWidths OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"band width,option:6Mˇ˘7Mˇ˘8M "
+		  ::=  {  cmOutput  2  }
+
+	fec OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"forward error correction,option: 1/2, 2/3, 3/4, 5/6, 7/8  "
+		  ::=  {  cmOutput  3  }
+
+	guardInterval OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"guard interval,option: 1/32,1/16,1/8,1/4 "
+		  ::=  {  cmOutput  4  }
+
+	modulation OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"carrier modulate,option: off,on "
+		  ::=  {  cmOutput  5  }
+
+	rfFrequency OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"RF Frequency,from 48MHz~865MHz "
+		  ::=  {  cmOutput  6  }
+
+	spec OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"spectrum inversion,option: normal,invert "
+		  ::=  {  cmOutput  7  }
+
+	attenuation OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"RF attenuation,from 0db~18db "
+		  ::=  {  cmOutput  8  }
+
+	source OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"the source of cm output, 0:ASI, 1:Tuner, 2:IP In, 3:CI, 4:Mux TS "
+		  ::=  {  cmOutput  9  }
+
+	cmOutStatus OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-only
+		STATUS			  current
+		DESCRIPTION		"the status of cm output, 0:normal, 1:overflow, 2:no sync "
+		  ::=  {  cmOutput  10  }
+
+	backupEnable OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-only
+		STATUS			  current
+		DESCRIPTION		"backup function switch "
+		  ::=  {  backupSetting  1  }
+
+	mainInputSource OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"specify main input source"
+		  ::=  {  backupSetting  2  }
+
+	backupInputSource OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"specify backup input source"
+		  ::=  {  backupSetting  3  }
+
+	tsIDPreference OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"specify the TS ID of IP Input "
+		  ::=  {  backupSetting  4  }
+
+	bitRate OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		"specify the bit rate's range of IP Input "
+		  ::=  {  backupSetting  5  }
+
+	enable OBJECT-TYPE
+		SYNTAX			  INTEGER {
+		 off(0),
+		 on(1)
+		}
+		MAX-ACCESS		read-only
+		STATUS			  current
+		DESCRIPTION		" NTP setting function switch "
+		  ::=  {  ntpSetting  1  }
+
+	serverIp OBJECT-TYPE
+		SYNTAX			  IpAddress
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		" specify the IP address of server "
+		  ::=  {  ntpSetting  2  }
+
+	intervalTime OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		" specify the interval for synchronization time with server "
+		  ::=  {  ntpSetting  3  }
+
+	timeZone OBJECT-TYPE
+		SYNTAX			  INTEGER
+		MAX-ACCESS		read-write
+		STATUS			  current
+		DESCRIPTION		" specify the time zone for synchronization time with server "
+		  ::=  {  ntpSetting  4  }
+
+	localSetting OBJECT-TYPE
+		SYNTAX					DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS			read-write
+		STATUS					current
+		DESCRIPTION			" local gigabit IP board setting "
+			::=  { gigabitIPInfo 1	}
+	
+	tsToIPSetting OBJECT-TYPE
+		SYNTAX					DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS			read-write
+		STATUS					current
+		DESCRIPTION			" TS To IP parameter setting "
+			::=  { gigabitIPInfo 2	}
+	
+	ipToTSSetting OBJECT-TYPE
+		SYNTAX					DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS			read-write
+		STATUS					current
+		DESCRIPTION			" IP To TS parameter setting "
+			::=  { gigabitIPInfo 3	}
+	
+	settingCommand OBJECT-TYPE
+		SYNTAX					INTEGER
+		MAX-ACCESS			write-only
+		STATUS					current
+		DESCRIPTION			" the command for gigabit IP board setting, 0x1111 "
+			::=  { gigabitIPInfo 4	}
+	
+	localStatus OBJECT-TYPE
+		SYNTAX					DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS			read-only
+		STATUS					current
+		DESCRIPTION			" the status for local gigabit IP board "
+			::=  { gigabitIPInfo 5	}
+	
+	tsToIPStatus OBJECT-TYPE
+		SYNTAX					DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS			read-only
+		STATUS					current
+		DESCRIPTION			" the status for TS To IP "
+			::=  { gigabitIPInfo 6	}
+	
+	ipToTSStatus OBJECT-TYPE
+		SYNTAX					DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS			read-only
+		STATUS					current
+		DESCRIPTION			" the status for IP To TS "
+			::=  { gigabitIPInfo 7	}
+
+
+END
Index: mibs/pbi/PBI-MAIN-MIB
===================================================================
--- mibs/pbi/PBI-MAIN-MIB	(nonexistent)
+++ mibs/pbi/PBI-MAIN-MIB	(working copy)
@@ -0,0 +1,37 @@
+-- File Name : PBI-MAIN-MIB
+-- Date      : Thu Sep 21 14:37:52 CST 2006
+-- Author    : AdventNet Agent Toolkit Java Edition - MIB Editor 6
+
+
+
+PBI-MAIN-MIB	DEFINITIONS ::= BEGIN
+	pbi	MODULE-IDENTITY
+		LAST-UPDATED	"200609131023Z"
+		ORGANIZATION	"PBI"
+		CONTACT-INFO	"Tel:(010)82617178 
+Fax:(010)82610263 
+E-mail:mkt@pbi-china.com"
+		DESCRIPTION		"use this mib to support the mib-II group"
+		REVISION		"200609131023Z"
+		DESCRIPTION		""
+		::=  {  enterprises  1070  }
+
+	org	OBJECT IDENTIFIER
+		::=  {  iso  3  }
+
+	dod	OBJECT IDENTIFIER
+		::=  {  org  6  }
+
+	internet	OBJECT IDENTIFIER
+		::=  {  dod  1  }
+
+	private	OBJECT IDENTIFIER
+		::=  {  internet  4  }
+
+	enterprises	OBJECT IDENTIFIER
+		::=  {  private  1  }
+
+	mg	OBJECT IDENTIFIER
+		::=  {  pbi  3  }
+
+END
Index: mibs/pbi/PBI-MGSIGNALCHARACTERISTICS-MIB
===================================================================
--- mibs/pbi/PBI-MGSIGNALCHARACTERISTICS-MIB	(nonexistent)
+++ mibs/pbi/PBI-MGSIGNALCHARACTERISTICS-MIB	(working copy)
@@ -0,0 +1,427 @@
+-- File Name : PBI-MGSIGNALCHARACTERISTICS-MIB
+-- Date      : Thu Sep 21 14:37:54 CST 2006
+-- Author    : AdventNet Agent Toolkit Java Edition - MIB Editor 6
+
+
+
+PBI-MGSIGNALCHARACTERISTICS-MIB	DEFINITIONS ::= BEGIN
+	IMPORTS
+		RowStatus, DisplayString
+			FROM SNMPv2-TC
+		DisplayString
+			FROM RFC1213-MIB
+		mg
+			FROM PBI-MAIN-MIB
+		MODULE-IDENTITY, enterprises, OBJECT-TYPE, Integer32
+			FROM SNMPv2-SMI;
+
+	mgSignalCharacteristics	MODULE-IDENTITY
+		LAST-UPDATED	"200609210924Z"
+		ORGANIZATION	"Organization"
+		CONTACT-INFO	"Contact-info"
+		DESCRIPTION		"Description"
+		REVISION			"200609210924Z"
+		DESCRIPTION		""
+		::=  {  mg  2  }
+	  
+	tsOutTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  TsOutEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"  "
+		::=  { mgSignalCharacteristics  1 }
+		
+	mgPATTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  MgPATEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"PSI/SI information relating to the PAT, reference ISO/IEC 13818-1 "
+		::=  { mgSignalCharacteristics  2 }
+		
+	mgPMTTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  MgPMTEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"PSI/SI information relating to the PMT"
+		::=  { mgSignalCharacteristics  3 }
+		
+	mgNITTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  MgNITEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"PSI/SI information relating to the NIT"
+		::=  { mgSignalCharacteristics  4 }
+		
+	mgSDTTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  MgSDTEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"PSI/SI information relating to the SDT, reference DVB 300-468"
+		::=  { mgSignalCharacteristics  5 }
+		
+	mgFilterTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  MgFilterEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Description"
+		::=  { mgSignalCharacteristics  6 }
+		
+	mgCATTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  MgCATEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"PSI/SI information relating to the CAT, reference ISO/IEC 13818-1 "
+		::=  { mgSignalCharacteristics  7 }
+		
+	tsInput OBJECT IDENTIFIER
+		::=  { mgSignalCharacteristics  8 }
+		
+	mgBATTable		OBJECT-TYPE    
+		SYNTAX		SEQUENCE  OF  MgBATEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	" PSI/SI information relating to the BAT, reference ISO/IEC 13818-1 "
+		::=  { mgSignalCharacteristics  9 }
+		
+ 	tsOutEntry	OBJECT-TYPE
+		SYNTAX		TsOutEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	" Row Description "
+		INDEX		{  channelOutput  }
+		::=  { tsOutTable 1 }  
+		
+  TsOutEntry  ::=  SEQUENCE {   
+	    channelOutput             INTEGER,
+	    bitRate 	                INTEGER,
+    	packetSize                INTEGER,  
+    	transportStreamID         INTEGER,
+    	otiginalNetworkID         INTEGER,
+    	networkID 		            INTEGER,	
+    	bitrateThreshosdPercent   INTEGER,
+    	outValidBitRate           INTEGER
+  }
+    
+  channelOutput	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"output channel number"
+		::=  {  tsOutEntry  1  }
+	
+	bitRate	OBJECT-TYPE	
+		SYNTAX			INTEGER  
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Transport stream output size, 3000EC: from 0 to 16Mpbs; 3000MX:from 0 to 100Mpbs; 3000TM: from 0 to 50Mpbs"
+		::=  {  tsOutEntry  2  }
+
+	packetSize	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Packet length, option: 188 or 204"
+		::=  {  tsOutEntry  3  }
+
+	transportStreamID	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The transport stream ID for this transport stream as read from the PAT, its value range: reference ISO/IEC 13818-1"
+		::=  {  tsOutEntry  4  }
+
+	otiginalNetworkID	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The original network ID for this transport stream as read from the NIT, its value range: reference DVB 300-468"
+		::=  {  tsOutEntry  5  }
+
+	networkID	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The network ID for this transport stream as read from the NIT, its value range: reference DVB 300-468"
+		::=  {  tsOutEntry  6  }  
+		
+  bitrateThreshosdPercent	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"ts overflow percent value(0 - 100)"
+		::=  {  tsOutEntry  7  }
+		
+	outValidBitRate	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"transport stream out valid bit rate"
+		::=  {  tsOutEntry  8  }
+
+	mgPATEntry	OBJECT-TYPE
+		SYNTAX		MgPATEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  channelInputPAT  }
+		::=  { mgPATTable 1 }
+
+	MgPATEntry  ::=  SEQUENCE {
+		channelInputPAT  INTEGER,
+    patSection       DisplayString
+	}
+
+	channelInputPAT	OBJECT-TYPE	
+		SYNTAX			INTEGER  ( -2147483648 .. 2147483647  ) 
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The physical input on which this transport stream appears"
+		::=  {  mgPATEntry  1  }
+
+  patSection	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )    
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The transport stream Relating to the PAT seciton, reference ISO/IEC 13818-1 "
+		::=  {  mgPATEntry  2  }
+
+	mgPMTEntry	OBJECT-TYPE
+		SYNTAX		MgPMTEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  channelInputPMT  }
+		::=  { mgPMTTable 1 }
+
+	MgPMTEntry  ::=  SEQUENCE {
+		channelInputPMT   INTEGER,
+		pmtProgramNumber  INTEGER,  
+		pmtPID            INTEGER,
+		pmtSection        DisplayString
+	}
+
+	channelInputPMT	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The physical input on which this transport stream appears"
+		::=  {  mgPMTEntry  1  }     
+        
+	pmtProgramNumber	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The PMT program number as read from PMT,reference ISO/IEC 13818-1"
+		::=  {  mgPMTEntry  2  }
+
+	pmtPID	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The PMT PID as read from PMT,reference ISO/IEC 13818-1"
+		::=  {  mgPMTEntry  3  }	
+
+  pmtSection	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )    
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The transport stream Relating to the PMT seciton, reference ISO/IEC 13818-1"
+		::=  {  mgPMTEntry  4  }
+
+	mgNITEntry	OBJECT-TYPE
+		SYNTAX		MgNITEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  channelInputNIT  }
+		::=  { mgNITTable 1 }
+
+	MgNITEntry  ::=  SEQUENCE {
+		channelInputNIT  INTEGER,  
+		networkType      INTEGER,
+		nitActualSection       DisplayString,       
+		nitOhtersSection       DisplayString
+	}
+		
+  channelInputNIT  	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The physical input on which this transport stream appears"
+		::=  {  mgNITEntry  1  }
+          
+  networkType  	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The network type include two types: actual NIT and others NIT,  reference DVB 300-468"
+		::=  {  mgNITEntry  2  }
+
+  nitActualSection	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )    
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Relating to the Actual section, its table ID is 0x40 in NIT,reference DVB 300-468"
+		::=  {  mgNITEntry  3  }   
+		
+	nitOhtersSection	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )    
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Relating to the others section , its table ID is 0x41 in NIT,reference DVB 300-468"
+		::=  {  mgNITEntry  4  }
+
+	mgSDTEntry	OBJECT-TYPE
+		SYNTAX		MgSDTEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  channelInputSDT  }
+		::=  { mgSDTTable 1 }
+
+	MgSDTEntry  ::=  SEQUENCE {
+		channelInputSDT  INTEGER,
+		sdtSection       DisplayString
+	}
+
+	channelInputSDT	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The physical input on which this transport stream appears"
+		::=  {  mgSDTEntry  1  }
+
+  sdtSection	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )    
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The transport stream relating to SDT seciton, reference DVB 300-468"
+		::=  {  mgSDTEntry  2  }
+
+	mgFilterEntry	OBJECT-TYPE
+		SYNTAX		MgFilterEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  channelInputFilter  }
+		::=  { mgFilterTable 1 }
+
+	MgFilterEntry  ::=  SEQUENCE {
+		channelInputFilter  INTEGER,
+		oldPID              DisplayString,  
+		newPID              DisplayString, 
+		oldProgramNumber    DisplayString,
+		newProgramNumber    DisplayString
+	}
+
+	channelInputFilter	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The physical input on which this transport stream appears"
+		::=  {  mgFilterEntry  1  }
+
+  oldPID	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The old PID will be filtered output"
+		::=  {  mgFilterEntry  2  }        
+		
+  newPID	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The new PID is bulit according to old PID"
+		::=  {  mgFilterEntry  3  }    
+		 
+  oldProgramNumber	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The old program number,they come from PAT and will be filtered output"
+		::=  {  mgFilterEntry  4  }
+
+  newProgramNumber	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The new program number, they are bulit and will be made a new PAT"
+		::=  {  mgFilterEntry  5  }
+
+	mgCATEntry	OBJECT-TYPE
+		SYNTAX		MgCATEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  channelInputCAT  }
+		::=  { mgCATTable 1 }
+
+	MgCATEntry  ::=  SEQUENCE {
+		channelInputCAT  INTEGER,
+    catSection       DisplayString
+	}
+
+	channelInputCAT	OBJECT-TYPE	
+		SYNTAX			INTEGER  ( -2147483648 .. 2147483647  ) 
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The physical input on which this transport stream appears"
+		::=  {  mgCATEntry  1  }
+
+  catSection	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 1024  ) )    
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The transport stream Relating to the CAT seciton, reference ISO/IEC 13818-1 "
+		::=  {  mgCATEntry  2  }  
+	
+	channelInput 	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"channel number of input"
+		::=  {  tsInput  1  }
+		
+	stateLock 	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"0xFFFF is lock, other is unlock"
+		::=  {  tsInput  2  }
+		
+	tsIdPreference 	OBJECT-TYPE	
+		SYNTAX			INTEGER 
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"transport stream identifier"
+		::=  {  tsInput  3  }	
+		
+	mgBATEntry	OBJECT-TYPE
+		SYNTAX		MgBATEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  channelBAT  }
+		::=  { mgBATTable 1 }
+
+	MgBATEntry  ::=  SEQUENCE {
+		channelBAT  		  INTEGER,
+   	batSection        DisplayString
+	}
+
+	channelBAT 	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"specify channel of get BAT "
+		::=  {  mgBATEntry  1  }
+		
+	batSection 	OBJECT-TYPE	
+		SYNTAX			DisplayString ( SIZE ( 0 .. 1024  ) )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"The transport stream Relating to the BAT seciton, reference ISO/IEC 13818-1 "
+		::=  {  mgBATEntry  2  }
+				
+END
Index: mibs/pbi/PBI-MGSYSTEM-MIB
===================================================================
--- mibs/pbi/PBI-MGSYSTEM-MIB	(nonexistent)
+++ mibs/pbi/PBI-MGSYSTEM-MIB	(working copy)
@@ -0,0 +1,901 @@
+-- File Name : PBI-MGSYSTEM-MIB
+-- Date      : Thu Sep 21 14:37:41 CST 2006
+-- Author    : AdventNet Agent Toolkit Java Edition - MIB Editor 6
+
+
+
+PBI-MGSYSTEM-MIB	DEFINITIONS ::= BEGIN
+	IMPORTS
+		DisplayString, TruthValue, RowStatus
+			FROM SNMPv2-TC
+		DisplayString
+			FROM RFC1213-MIB
+		mg
+			FROM PBI-MAIN-MIB
+		MODULE-IDENTITY, OBJECT-TYPE, Integer32, enterprises, IpAddress
+			FROM SNMPv2-SMI;
+
+	mgSystem	MODULE-IDENTITY
+		LAST-UPDATED	"200609131023Z"
+		ORGANIZATION	"PBI"
+		CONTACT-INFO	"Tel:(010)82617178 
+									Fax:(010)82610263 
+									E-mail:mkt@pbi-china.com"
+		DESCRIPTION		"use this mib to manage the devise infomation"
+		REVISION		"200609131023Z"
+		DESCRIPTION		""
+		::=  {  mg  1  }
+
+	basicInfo	OBJECT IDENTIFIER
+		::=  {  mgSystem  1  }
+
+	unitName	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 255  ) ) 
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Digital headend device name"
+		::=  {  basicInfo  1  }
+
+	serialNumber	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Device serial number"
+		::=  {  basicInfo  2  }
+
+	fpgaVersion	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"FPGA version number"
+		::=  {  basicInfo  3  }
+
+	mcuVersion	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"MCU version number"
+		::=  {  basicInfo  4  }
+
+	macAddress	OBJECT-TYPE	
+		SYNTAX			DisplayString  ( SIZE ( 0 .. 255  ) ) 
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"MAC address"
+		::=  {  basicInfo  5  }
+
+	gateway	OBJECT-TYPE	
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Device gateway"
+		::=  {  basicInfo  6  }
+
+	deviceIP	OBJECT-TYPE	
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Local device IP address "
+		::=  {  basicInfo  7  }
+
+	subnetMask	OBJECT-TYPE	
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Device subnet mask"
+		::=  {  basicInfo  8  }
+
+	trapIpAddress	OBJECT-TYPE
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Trap IP address,can been set in device and send trap data to the appointed PC"
+		::=  {  basicInfo  9  }
+
+	upgrade	OBJECT-TYPE	
+		SYNTAX			INTEGER     ( -2147483648 .. 2147483647  )
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"if it is enable,it will been permitted to upgrade by network,otherwise disable"
+		::=  {  basicInfo  10  }
+
+	upgradeIP	OBJECT-TYPE	
+		SYNTAX			IpAddress
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Upgrade IP address can been set by  manual in device, we can upgrade software version when new software be released"
+		::=  {  basicInfo  11  }
+
+	default	OBJECT-TYPE	
+		SYNTAX			INTEGER  ( -2147483648 .. 2147483647  ) 
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Device renew to factory setup"
+		::=  {  basicInfo  12  }
+
+	deviceType	OBJECT-TYPE	
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Device type: 3000tm = 1111; 3000mux = 2222; 3000ec = 3333; 4000p = 4444; UDI4000Mx = 5555; reserve = 6666"
+		::=  {  basicInfo  13  }
+
+	hardwareVersion	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Device hardware version"
+		::=  {  basicInfo  14  }
+
+	externdBoard	OBJECT-TYPE	
+		SYNTAX			TruthValue
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"Description"
+		::=  {  basicInfo  15  }
+
+	trapDeviceOffTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  TrapDeviceOffEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Description"
+		::=  { basicInfo  16 }
+     
+  trapDeviceOffEntry	OBJECT-TYPE
+		SYNTAX		TrapDeviceOffEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  deviceOffDeviceName  }
+		::=  { trapDeviceOffTable 1 }
+           
+	TrapDeviceOffEntry  ::=  
+		SEQUENCE {
+			deviceOffDeviceName    DisplayString,
+			deviceOffDeviceIP      DisplayString, 
+			deviceOffReserve       DisplayString,
+			deviceOffLevel         DisplayString,
+			deviceOffTriggerTime   DisplayString,
+			deviceOffDescription   DisplayString
+		}
+
+	deviceOffDeviceName	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"device name"
+		::=  {  trapDeviceOffEntry  1  }
+
+	deviceOffDeviceIP	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"device IP address"
+		::=  {  trapDeviceOffEntry  2  } 
+		    
+	deviceOffReserve	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"device IP address"
+		::=  {  trapDeviceOffEntry  3  } 
+		    		  		    
+	deviceOffLevel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Alarm level: level 2"
+		::=  {  trapDeviceOffEntry  4  }
+		
+	deviceOffTriggerTime	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Event trigger time"
+		::=  {  trapDeviceOffEntry  5  }
+		
+	deviceOffDescription	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Device Off"
+		::=  {  trapDeviceOffEntry  6  }
+
+ 	trapDeviceOnTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  TrapDeviceOnEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Description"
+		::=  { basicInfo  17 }
+     
+  trapDeviceOnEntry	OBJECT-TYPE
+		SYNTAX		TrapDeviceOnEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  deviceOnDeviceName  }
+		::=  { trapDeviceOnTable 1 }
+           
+	TrapDeviceOnEntry  ::=
+		SEQUENCE {
+			deviceOnDeviceName    DisplayString,
+			deviceOnDeviceIP      DisplayString,
+			deviceOnReserve       DisplayString,
+			deviceOnLevel         DisplayString,
+			deviceOnTriggerTime   DisplayString,
+			deviceOnDescription   DisplayString
+		}
+
+	deviceOnDeviceName	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"device name"
+		::=  {  trapDeviceOnEntry  1  }
+
+	deviceOnDeviceIP	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"device IP address"
+		::=  {  trapDeviceOnEntry  2  }
+
+  deviceOnReserve	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"device IP address"
+		::=  {  trapDeviceOnEntry  3  }
+		
+	deviceOnLevel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Alarm leve: level 2"
+		::=  {  trapDeviceOnEntry  4  }
+
+	deviceOnTriggerTime	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Event trigger time"
+		::=  {  trapDeviceOnEntry  5  }
+		
+	deviceOnDescription	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Description information "
+		::=  {  trapDeviceOnEntry  6  }
+
+ 	trapFanFailedTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  TrapFanFailedEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Description"
+		::=  { basicInfo  18 }
+     
+  trapFanFailedEntry	OBJECT-TYPE
+		SYNTAX		TrapFanFailedEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  fanFailedDeviceName  }
+		::=  { trapFanFailedTable 1 }     
+           
+	TrapFanFailedEntry  ::=
+		SEQUENCE {
+			fanFailedDeviceName    DisplayString,
+			fanFailedDeviceIP      DisplayString,
+			fanFailedReserve       DisplayString,
+    	fanFailedLevel         DisplayString,
+			fanFailedTriggerTime   DisplayString,
+			fanFailedDescription   DisplayString
+		}
+
+	fanFailedDeviceName	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"device name"
+		::=  {  trapFanFailedEntry  1  }
+
+	fanFailedDeviceIP	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"device IP address"
+		::=  {  trapFanFailedEntry  2  }
+
+  fanFailedReserve	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"device IP address"
+		::=  {  trapFanFailedEntry  3  }
+		
+	fanFailedLevel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Alarm level: level 1"
+		::=  {  trapFanFailedEntry  4  }
+		
+	fanFailedTriggerTime	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Event trigger time"
+		::=  {  trapFanFailedEntry  5  }
+		
+	fanFailedDescription	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Description information "
+		::=  {  trapFanFailedEntry  6  }
+      
+  trapSignalOffTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  TrapSignalOffEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Description"
+		::=  { basicInfo  19 }
+
+  trapSignalOffEntry	OBJECT-TYPE
+		SYNTAX		TrapSignalOffEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  signalOffDeviceName  }
+		::=  { trapSignalOffTable 1 }  
+           
+	TrapSignalOffEntry  ::=
+		SEQUENCE {
+			signalOffDeviceName    DisplayString,
+			signalOffDeviceIP      DisplayString, 
+			signalOffChannel			 DisplayString,
+			signalOffLevel         DisplayString,
+			signalOffTriggerTime   DisplayString,
+			signalOffDescription   DisplayString,
+			signalOffSlot	       	 DisplayString
+		}
+
+	signalOffDeviceName	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device name "
+		::=  {  trapSignalOffEntry  1  }
+
+	signalOffDeviceIP	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device IP address "
+		::=  {  trapSignalOffEntry  2  }
+		
+	signalOffChannel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" the channel for signal off trap "
+		::=  {  trapSignalOffEntry  3  }
+				
+	signalOffLevel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Alarm level: level 3 "
+		::=  {  trapSignalOffEntry  4  }
+		
+	signalOffTriggerTime	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Event trigger time "
+		::=  {  trapSignalOffEntry  5  }
+		
+	signalOffDescription	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Description information "
+		::=  {  trapSignalOffEntry  6  }
+	
+	signalOffSlot	OBJECT-TYPE
+	  SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Slot number"
+		::=  {  trapSignalOffEntry  7  }
+	
+  trapSignalOnTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  TrapSignalOnEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Description"
+		::=  { basicInfo  20 }
+     
+  trapSignalOnEntry	OBJECT-TYPE
+		SYNTAX		TrapSignalOnEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  signalOnDeviceName  }
+		::=  { trapSignalOnTable 1 }   
+           
+	TrapSignalOnEntry  ::=
+		SEQUENCE {
+			signalOnDeviceName    DisplayString,
+			signalOnDeviceIP      DisplayString, 
+			signalOnChannel				DisplayString, 
+			signalOnLevel         DisplayString,
+			signalOnTriggerTime   DisplayString,
+			signalOnDescription   DisplayString,
+			signalOnSlot					DisplayString
+		}
+
+	signalOnDeviceName	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"device name"
+		::=  {  trapSignalOnEntry  1  }
+
+	signalOnDeviceIP	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device IP address "
+		::=  {  trapSignalOnEntry  2  }
+
+	signalOnChannel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" the channel for signal on trap "
+		::=  {  trapSignalOnEntry  3  }
+		
+	signalOnLevel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Alarm level: level 3 "
+		::=  {  trapSignalOnEntry  4  }
+		
+	signalOnTriggerTime	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Event trigger time"
+		::=  {  trapSignalOnEntry  5  }
+		
+	signalOnDescription	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Description information "
+		::=  {  trapSignalOnEntry  6  }
+		 
+	signalOnSlot	OBJECT-TYPE
+	  SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Slot number "
+		::=  {  trapSignalOnEntry  7  }	
+		     
+	trapSignalChangeTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  TrapSignalChangeEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Description"
+		::=  { basicInfo  21 }
+		
+  trapSignalChangeEntry	OBJECT-TYPE
+		SYNTAX		TrapSignalChangeEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  signalChangeDeviceName  }
+		::=  { trapSignalChangeTable 1 }     
+           
+	TrapSignalChangeEntry  ::=
+		SEQUENCE {
+			signalChangeDeviceName     DisplayString,
+			signalChangeDeviceIP       DisplayString, 
+			signalChangeChannel				 DisplayString,
+			signalChangeLevel          DisplayString,
+			signalChangeTriggerTime    DisplayString,
+			signalChangeDescription    DisplayString,
+			signalChangeSlot	         DisplayString
+		}
+
+	signalChangeDeviceName	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device name "
+		::=  {  trapSignalChangeEntry  1  }
+
+	signalChangeDeviceIP	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device IP address "
+		::=  {  trapSignalChangeEntry  2  }
+
+	signalChangeChannel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" the channel for signal change trap "
+		::=  {  trapSignalChangeEntry  3  }
+		
+	signalChangeLevel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Alarm level: level 3 "
+		::=  {  trapSignalChangeEntry  4  }
+		
+	signalChangeTriggerTime	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Event trigger time "
+		::=  {  trapSignalChangeEntry  5  }
+		
+	signalChangeDescription	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Description information "
+		::=  {  trapSignalChangeEntry  6  }  
+		
+	signalChangeSlot	OBJECT-TYPE
+	  SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Slot number"
+		::=  {  trapSignalChangeEntry  7  } 		                                    
+		                                
+  trapTSOverflowTable	OBJECT-TYPE	
+		SYNTAX SEQUENCE  OF  TrapTSOverflowEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Description"
+		::=  { basicInfo  22 }
+     
+  trapTSOverflowEntry	OBJECT-TYPE
+		SYNTAX		TrapTSOverflowEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  tsOverflowDeviceName  }
+		::=  { trapTSOverflowTable 1 }     
+           
+	TrapTSOverflowEntry  ::=
+		SEQUENCE {
+			tsOverflowDeviceName    DisplayString,
+			tsOverflowDeviceIP      DisplayString, 
+			tsOverflowChannel       DisplayString,
+			tsOverflowLevel         DisplayString,
+			tsOverflowTriggerTime   DisplayString,
+			tsOverflowDescription   DisplayString,
+			tsOverflowSlot	        DisplayString
+		}
+
+	tsOverflowDeviceName	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device name "
+		::=  {  trapTSOverflowEntry  1  }
+
+	tsOverflowDeviceIP	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device IP address "
+		::=  {  trapTSOverflowEntry  2  }
+		  
+	tsOverflowChannel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" the channel for TS overflow trap "
+		::=  {  trapTSOverflowEntry  3  } 
+  
+	tsOverflowLevel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Alarm level: level 1 "
+		::=  {  trapTSOverflowEntry  4  }
+		
+	tsOverflowTriggerTime	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Event trigger time "
+		::=  {  trapTSOverflowEntry  5  }
+		
+	tsOverflowDescription	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Description information "
+		::=  {  trapTSOverflowEntry  6  }
+	
+	tsOverflowSlot	 OBJECT-TYPE
+	  SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Slot number"
+		::=  {  trapTSOverflowEntry  7  }
+		
+  rebootCommand	OBJECT-TYPE
+		SYNTAX			INTEGER
+		MAX-ACCESS		read-write
+		STATUS			current
+		DESCRIPTION		"send reboot unit command: send 1 to Agent for reboot"
+		::=  {  basicInfo  23  }  
+		
+  trapTSIDErrorTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  TrapTSIDErrorEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Description"
+		::=  {  basicInfo  24  }
+		
+  trapTSIDErrorEntry	OBJECT-TYPE
+		SYNTAX		TrapTSIDErrorEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  tsIDErrorDeviceName  }
+		::=  { trapTSIDErrorTable 1 } 
+           
+	TrapTSIDErrorEntry  ::=
+		SEQUENCE {
+			tsIDErrorDeviceName    DisplayString,
+			tsIDErrorDeviceIP      DisplayString, 
+			tsIDErrorTsID     		 DisplayString,
+			tsIDErrorLevel         DisplayString,
+			tsIDErrorTriggerTime   DisplayString,
+			tsIDErrorDescription   DisplayString,
+			tsIDErrorSlot	         DisplayString
+  }
+
+	tsIDErrorDeviceName	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device name "
+		::=  {  trapTSIDErrorEntry  1  }
+
+	tsIDErrorDeviceIP	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device IP address "
+		::=  {  trapTSIDErrorEntry  2  }
+		  
+ 	tsIDErrorTsID	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" wrong ts id "
+		::=  {  trapTSIDErrorEntry  3  } 
+  
+	tsIDErrorLevel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Alarm level: level 1"
+		::=  {  trapTSIDErrorEntry  4  }
+		
+	tsIDErrorTriggerTime	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Event trigger time"
+		::=  {  trapTSIDErrorEntry  5  }
+
+	tsIDErrorDescription	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Description information "
+		::=  {  trapTSIDErrorEntry  6  }
+	
+	tsIDErrorSlot	OBJECT-TYPE
+	  SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Slot number"
+		::=  {  trapTSIDErrorEntry  7  }
+                                         
+ trapTSIDRightTable	OBJECT-TYPE
+		SYNTAX		SEQUENCE  OF  TrapTSIDRightEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Description"
+		::=  {  basicInfo  25  }
+	
+	trapTSIDRightEntry	OBJECT-TYPE
+		SYNTAX		TrapTSIDRightEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	"Row Description"
+		INDEX		{  tsIDRightDeviceName  }
+		::=  { trapTSIDRightTable 1 }     
+           
+	TrapTSIDRightEntry  ::=
+		SEQUENCE {
+			tsIDRightDeviceName    DisplayString,
+			tsIDRightDeviceIP      DisplayString, 
+			tsIDRightTSID     		 DisplayString,
+			tsIDRightLevel         DisplayString,
+			tsIDRightTriggerTime   DisplayString,
+			tsIDRightDescription   DisplayString,
+			tsIDRightSlot	       	 DisplayString
+		}
+
+	tsIDRightDeviceName	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device name "
+		::=  {  trapTSIDRightEntry  1  }
+
+	tsIDRightDeviceIP	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device IP address "
+		::=  {  trapTSIDRightEntry  2  }
+		  
+ 	tsIDRightTSID	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" right ts id "
+		::=  {  trapTSIDRightEntry  3  } 
+  
+	tsIDRightLevel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Alarm level: level 1 "
+		::=  {  trapTSIDRightEntry  4  }
+		
+	tsIDRightTriggerTime	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Event trigger time "
+		::=  {  trapTSIDRightEntry  5  }
+		
+	tsIDRightDescription	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Description information "
+		::=  {  trapTSIDRightEntry  6  }
+	
+	tsIDRightSlot	       OBJECT-TYPE
+	   SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" Slot number "
+		::=  {  trapTSIDRightEntry  7  }  
+	
+	trapTSBitRateNormalTable	OBJECT-TYPE	
+		SYNTAX SEQUENCE  OF  TrapTSBitRateNormalEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	" Description "
+		::=  { basicInfo  26 }
+     
+  trapTSBitRateNormalEntry	OBJECT-TYPE
+		SYNTAX		TrapTSBitRateNormalEntry
+		MAX-ACCESS	not-accessible
+		STATUS		current
+		DESCRIPTION	" Row Description "
+		INDEX		{  tsBitRateNormalDeviceName  }
+		::=  { trapTSBitRateNormalTable 1 }     
+           
+	TrapTSBitRateNormalEntry  ::=
+		SEQUENCE {
+			tsBitRateNormalDeviceName    DisplayString,
+			tsBitRateNormalDeviceIP      DisplayString, 
+			tsBitRateNormalChannel       DisplayString,
+			tsBitRateNormalLevel         DisplayString,
+			tsBitRateNormalTriggerTime   DisplayString,
+			tsBitRateNormalDescription   DisplayString,
+			tsBitRateNormalSlot	         DisplayString
+		}
+
+	tsBitRateNormalDeviceName	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device name "
+		::=  {  trapTSBitRateNormalEntry  1  }
+
+	tsBitRateNormalDeviceIP	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" device IP address"
+		::=  {  trapTSBitRateNormalEntry  2  }
+		  
+	tsBitRateNormalChannel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		" the channel for TS bit rate normal trap "
+		::=  {  trapTSBitRateNormalEntry  3  } 
+  
+	tsBitRateNormalLevel	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Alarm level: level 1"
+		::=  {  trapTSBitRateNormalEntry  4  }
+		
+	tsBitRateNormalTriggerTime	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Event trigger time"
+		::=  {  trapTSBitRateNormalEntry  5  }
+		
+	tsBitRateNormalDescription	OBJECT-TYPE	
+		SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Description information "
+		::=  {  trapTSBitRateNormalEntry  6  }
+		
+	tsBitRateNormalSlot  OBJECT-TYPE
+	  SYNTAX			DisplayString
+		MAX-ACCESS		read-only
+		STATUS			current
+		DESCRIPTION		"Slot number"
+		::=  {  trapTSBitRateNormalEntry  7  }
+		
+	virtualGroupInfo	OBJECT-TYPE	
+		SYNTAX			 DisplayString
+		MAX-ACCESS	 read-write
+		STATUS			 current
+		DESCRIPTION  "virtual group info"
+		::=  {  basicInfo  27  }
+		
+  moduleNumber	OBJECT-TYPE	
+		SYNTAX			 INTEGER
+		MAX-ACCESS	 read-only
+		STATUS			 current
+		DESCRIPTION  "the module number"
+		::=  {  basicInfo  28  }
+		
+	chestTemp	OBJECT-TYPE	
+		SYNTAX			 INTEGER
+		MAX-ACCESS	 read-only
+		STATUS			 current
+		DESCRIPTION  "the chest Temperature"
+		::=  {  basicInfo  29  }
+		
+	lcdSwitch	OBJECT-TYPE
+		SYNTAX			 INTEGER {
+			alwaysOn(0),
+			time(1)
+		}
+		MAX-ACCESS	 read-write
+		STATUS			 current
+		DESCRIPTION  " control LCD background "
+		::=  {  basicInfo  35  }
+	
+END
